﻿Copyright (c) (2015) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Fluke 183,185 Connection RS-232
DATE:                  2015-02-25 11:29:51
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10993 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       82
=============================================================================
#
#  Procedure Author(s):
#        DFM, DAC, PS
#
#  Source(s):
#        Fluke 183/185 Calibration Manual, Part No. 1610436, May 2001, *
# 		 Rev. 1, 6/02, Manual Supplement 1, Issue Date 3/04
#
#        * The tolerances used by this procedure were taken from the published
#          specifications table.
#
#  Compatibility:
#        MET/CAL version 8.1.4 or later
#
#  Additional Equipment and/or Accessories Required:
#         None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global String Variables:
#        Port - Serial port used
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Port = INI("startup", "port")

  1.002  MATH         L[1] = ZCMPI(Port, "None")
  1.003  MATH         L[1] = L[1] || ZCMPI(Port, "COM5500")
  1.004  MATH         L[1] = L[1] || ZCMPI(Port, "COM5800")
  1.005  MATH         L[1] = L[1] || ZCMPI(Port, "COM5820")

  1.006  IF           L[1]
  1.007  DISP         Unsupported UUT communication port specified: [V Port]
  1.007  DISP
  1.007  DISP         Select "Terminate" and perform the following:
  1.007  DISP         - From the menu bar, select
  1.007  DISP         [32] Configure => Default Serial Port...
  1.007  DISP         - Select the serial port for controlling the UUT.
  1.008  ELSE

  1.009  MATH         L[2] = ZCMPI(Port, "COM5502E")
  1.010  MATH         L[2] = L[2] || ZCMPI(Port, "COM5502A")
  1.011  MATH         L[2] = L[2] || ZCMPI(Port, "COM5520")
  1.012  MATH         L[2] = L[2] || ZCMPI(Port, "COM5522")

  1.013  IF           L[2]
  1.014  DISP         Connect the UUT IR PORT to the port labeled "SERIAL
  1.014  DISP         2 TO UUT" on the rear panel of Calibrator using a DB9 IR
  1.014  DISP         Cable Kit (Fluke Part No. 1590638) and Fluke Adapter
  1.014  DISP         Kit, Fluke Part No. 689486.
  1.014  DISP
  1.014  DISP         The adapter kit includes a DB9 female to DB9 female
  1.014  DISP         null modem and a DB9 male to DB9 male gender changer.
  1.015  ELSE
  1.016  DISP         Connect the UUT IR PORT to [V Port] using the DB9 IR
  1.016  DISP         Cable Kit, Fluke Part No. 1590638.
  1.017  ENDIF

  1.018  ENDIF

  1.019  END
