﻿Copyright (c) (2015) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Fluke 183,185 Query Measurement RS-232
DATE:                  2015-04-08 15:05:08
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10993 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       76
=============================================================================
#
#  Procedure Author(s):
#        GMO, DFM, DAC, PS
#
#  Source(s):
#        Fluke 183/185 Calibration Manual, Part No. 1610436, May 2001, *
# 		 Rev. 1, 6/02, Manual Supplement 1, Issue Date 3/04
#
#        * The tolerances used by this procedure were taken from the published
#          specifications table.
#
#  Compatibility:
#        MET/CAL version 8.1.4 or later
#
#  Additional Equipment and/or Accessories Required:
#         None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#   @Cmd:          Measure quary to sent (e.g., "!M?")
#   @SettlingSec:  Number of seconds to delay before taking measurement
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Set invalid/overload measurement counter.
  1.001  MATH         L[1] = 1

  1.002  DO

  1.003  IF           ISVAR("@SettlingSec")

  1.004  IF           @SettlingSec > 1
  1.005  WAIT         -t [V @SettlingSec] System settling...
  1.006  ELSE
  1.007  WAIT         [D1000]
  1.008  ENDIF

  1.009  ELSE
  1.010  WAIT         [D1000]
  1.011  ENDIF

  1.012  CALL         Sub Fluke 183,185 Send Command RS-232

  1.013  IF           @Abort
  1.014  END
  1.015  ENDIF

# Read measurement.
  1.016  MATH         MEM = FLD(MEM2, 2, ";")
  1.017  MATH         ValidReading = ABS(MEM) < 1E+10
  1.018  MATH         L[1] = L[1] + 1
# Repeat if invalid reading or overload condition.
  1.019  UNTIL        ValidReading || (L[1] > 5)

  1.020  END
